package com.analogbit.puzzletools.client.util;

/**
 * GWT is missing some final cloning capability, we can emulate it.
 * @see DeepCloneable
 */
public class CloneUtils {
	/**
	 * Array.clone missing from gwt
	 * @param ba Boolean array to clone
	 * @return A copy of ba
	 */
	public static boolean [] cloneBooleanArray(boolean [] ba) {
		boolean[] baCloned = new boolean[ba.length];
		System.arraycopy(ba, 0, baCloned, 0, ba.length);
		return baCloned;
	}
}
