<?php

// tim (02/09/2007) 
// rewrite to make it actually work

function redirect($to, $code=302) {
	//if its a full url, just send it along
	$startsWithProto = preg_match('/^(http)|(https)|(ftp):\/\//', $to);
	if ($startsWithProto) {
		redirectAbsolute($to, $code);
	}

	//now we know it is a url on this server
	$proto = isset($_SERVER['HTTPS']) ? 'https://' : 'http://';
	$protoAndHost = $proto . $_SERVER['HTTP_HOST'];

	$rootURL = substr($to, 0, 1) == '/';
	if ($rootURL) {
		$absolute = $protoAndHost . $to;
		redirectAbsolute($absolute);		
	} else { //relative to current
		//relative to current URL
		$protoHostAndPage = $protoAndHost . $_SERVER['REQUEST_URI'];
		$absolute = substr($protoHostAndPage, 0, strrpos($protoHostAndPage, '/')) .'/'. $to;
		redirectAbsolute($absolute, $code);
	}
}

function redirectAbsolute($to, $code=302) {
	if (!headers_sent()) {
		if ($code==301) header("HTTP/1.1 301 Moved Permanently"); // Convert to GET
		//elseif ($code==302) header("302 Found HTTP/1.1"); // Conform re-POST
		elseif ($code==302) header("HTTP/1.1 302 Found"); // Conform re-POST
		elseif ($code==303) header("HTTP/1.1 303 See Other"); // dont cache, always use GET
		elseif ($code==304) header("HTTP/1.1 304 Not Modified"); // use cache
		elseif ($code==305) header("HTTP/1.1 305 Use Proxy");
		elseif ($code==306) header("HTTP/1.1 306 Not Used");
		elseif ($code==307) header("HTTP/1.1 307 Temorary Redirect");
		else trigger_error("Unhandled redirect() HTTP Code: $code", E_USER_ERROR);
		header("Location: $to");
		//header('Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0');
		header('Cache-Control: max-age=2592000, public');
	}
	echo "<p>Please See: <a href='$to'>".htmlspecialchars($to)."</a></p>\n";

	exit(0);
}

?>
